    #ifndef SPEKTRUM_H
    #define SPEKTRUM_H

	#include <QWidget>
	#include "edc.h"
	
    class Spektrum : public QWidget
    {
        Q_OBJECT

    public:
        Spektrum(QWidget *parent = 0);
		
	public slots:
		void neuerung(int zahl);
		void reload(int dimX, float minX, float maxX, float minY, float maxY, float *daten);
		
    protected:
        void paintEvent(QPaintEvent *event);

	private:
		int   channels;
		float xMin, xMax;
		float yMin, yMax;
		float intensity[2000];
		float scaleX, scaleY;
    }; 
	
    #endif
